#### 9.1.1 Options

`-EB`
  This option specifies that the output generated by the assembler should be marked as being encoded for a big-endian processor.

`-EL`
  This option specifies that the output generated by the assembler should be marked as being encoded for a little-endian processor.

`-mabi=`abi
  Specify which ABI the source code uses. The recognized arguments are: `ilp32` and `lp64`, which decides the generated object file in ELF32 and ELF64 format respectively. The default is `lp64`.